# Method String.width()

Method width

  ``int(8..8)`|`int(16..16)`|`int(32..32)` width(`string` `s`)`

Description

  Returns the width of a string.

Returns

  Three return values are currently possible:

  ``8`` | The string `s` only contains characters <= 255.
  ``16`` | The string `s` only contains characters <= 65535.
  ``32`` | The string `s` contains characters >= 65536.

Note

  It is possible that a future version of Pike may return further values. In particular the width `7` seems like it could be useful.